    <Gtk_HeaderBar name="header_bar">
            <Gtk_Button text="welcome" position="start">
                <Gtk_Event name="clicked"  view="welcome"/>
            </Gtk_Button>
            <Gtk_Button icon="mail-send-receive-symbolic" position="end">
                <Gtk_Event name="clicked" view="receive"/>
            </Gtk_Button>
    </Gtk_HeaderBar>
    

